%% Fourier Series examples

%% square wave

x = linspace(-0.5,0.5,101);
M = 70;
duty = 0.5;
[y coeff] = square_wave(x,M,duty);
idx = find(abs(coeff)>1e-10);
disp([idx(1:9) 2.0./(pi*coeff(idx(1:9)))]);
plot(x,y);

%% sawtooth

x = linspace(-0.5,0.5,101);
M = 90;
[y coeff] = sawtooth(x,M);
1.0./(pi*coeff(1:9))
plot(x,y);

%% triangle wave

x = linspace(-0.5,0.5,101);
M = 90;
duty = 0.5;
[y coeff] = triwave(x,M,duty);
idx = find(abs(coeff)>1e-10);
% (2/(pi*k))^2
disp([idx(1:9) 2.0./(pi*sqrt(coeff(idx(1:9))))]);
plot(x,y);