%% demonstrate fseries


%% square wave

d = 0.25;
ck = @(k) d*sinc(k*d);

t = linspace(-2,2,801);
fseries(t,ck,50,2);

%% triangle wave

d = 0.5;
ck = @(k) d*sinc(k*d)^2;

t = linspace(-2,2,801);
fseries(t,ck);

%%  exponential wave
% 
% $$e^{-at}u(t)$$
% 

a = 4;
ck = @(k) 1./(a+j*2*pi*k);

t = linspace(-5,5,801);
fseries(t,ck,100,4);


%% delta function pair (cosine)

ck = @(k) 0.5*double(abs(k)==3);

t = linspace(-0.5,0.5,401);
fseries(t,ck);

%% delta function pair (sine)

ck = @(k) 0.5*j*(double(k==-3) - double(k==3));

t = linspace(-0.5,0.5,401);
fseries(t,ck);
